PHP-инклюдинг в vcart

Дата публикации:
18.01.2008
Всего просмотров:
1272
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
vcart 3.x
Уязвимые версии: vcart 3.3.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "abs_path" в сценариях checkout.php и index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/index.php?abs_path=[file]
http://[host]/checkout.php?abs_path=[file]

URL производителя: www.visionburst.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA